Index: linux-kj/drivers/scsi/FlashPoint.c
===================================================================
--- linux-kj.orig/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
+++ linux-kj/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
@@ -452,478 +370,385 @@ typedef struct SCCBscam_info {
 #define  SYNC_RATE_TBLcd   50
 #define  SYNC_RATE_TBLef   52
 
+#define  EE_SCAMBASE      256
 
+#define  SCAM_ENABLED   BIT(2)
+#define  SCAM_LEVEL2    BIT(3)
 
-#define  EE_SCAMBASE      256 
-
-
+#define	RENEGO_ENA		BITW(10)
+#define	CONNIO_ENA		BITW(11)
+#define  GREEN_PC_ENA   BITW(12)
 
-   #define  SCAM_ENABLED   BIT(2)
-   #define  SCAM_LEVEL2    BIT(3)
+#define  AUTO_RATE_00   00
+#define  AUTO_RATE_05   01
+#define  AUTO_RATE_10   02
+#define  AUTO_RATE_20   03
 
+#define  WIDE_NEGO_BIT     BIT(7)
+#define  DISC_ENABLE_BIT   BIT(6)
 
-	#define	RENEGO_ENA		BITW(10)
-	#define	CONNIO_ENA		BITW(11)
-   #define  GREEN_PC_ENA   BITW(12)
+#define  hp_vendor_id_0       0x00	/* LSB */
+#define  ORION_VEND_0   0x4B
 
+#define  hp_vendor_id_1       0x01	/* MSB */
+#define  ORION_VEND_1   0x10
 
-   #define  AUTO_RATE_00   00
-   #define  AUTO_RATE_05   01
-   #define  AUTO_RATE_10   02
-   #define  AUTO_RATE_20   03
+#define  hp_device_id_0       0x02	/* LSB */
+#define  ORION_DEV_0    0x30
 
-   #define  WIDE_NEGO_BIT     BIT(7)
-   #define  DISC_ENABLE_BIT   BIT(6)
-
-
-
-   #define  hp_vendor_id_0       0x00		/* LSB */
-      #define  ORION_VEND_0   0x4B
- 
-   #define  hp_vendor_id_1       0x01		/* MSB */
-      #define  ORION_VEND_1   0x10
-
-   #define  hp_device_id_0       0x02		/* LSB */
-      #define  ORION_DEV_0    0x30 
-
-   #define  hp_device_id_1       0x03		/* MSB */
-      #define  ORION_DEV_1    0x81 
+#define  hp_device_id_1       0x03	/* MSB */
+#define  ORION_DEV_1    0x81
 
 	/* Sub Vendor ID and Sub Device ID only available in
-		Harpoon Version 2 and higher */
-
-   #define  hp_sub_device_id_0   0x06		/* LSB */
-
-
+	   Harpoon Version 2 and higher */
 
-   #define  hp_semaphore         0x0C
-      #define SCCB_MGR_ACTIVE    BIT(0)
-      #define TICKLE_ME          BIT(1)
-      #define SCCB_MGR_PRESENT   BIT(3)
-      #define BIOS_IN_USE        BIT(4)
+#define  hp_sub_device_id_0   0x06	/* LSB */
 
+#define  hp_semaphore         0x0C
+#define SCCB_MGR_ACTIVE    BIT(0)
+#define TICKLE_ME          BIT(1)
+#define SCCB_MGR_PRESENT   BIT(3)
+#define BIOS_IN_USE        BIT(4)
 
+#define  hp_sys_ctrl          0x0F
 
-   #define  hp_sys_ctrl          0x0F
+#define  STOP_CLK          BIT(0)	/*Turn off BusMaster Clock */
+#define  DRVR_RST          BIT(1)	/*Firmware Reset to 80C15 chip */
+#define  HALT_MACH         BIT(3)	/*Halt State Machine      */
+#define  HARD_ABORT        BIT(4)	/*Hard Abort              */
 
-      #define  STOP_CLK          BIT(0)      /*Turn off BusMaster Clock */
-      #define  DRVR_RST          BIT(1)      /*Firmware Reset to 80C15 chip */
-      #define  HALT_MACH         BIT(3)      /*Halt State Machine      */
-      #define  HARD_ABORT        BIT(4)      /*Hard Abort              */
+#define  hp_host_blk_cnt      0x13
 
+#define  XFER_BLK64        0x06	/*     1 1 0 64 byte per block */
 
+#define  BM_THRESHOLD      0x40	/* PCI mode can only xfer 16 bytes */
 
+#define  hp_int_mask          0x17
 
+#define  INT_CMD_COMPL     BIT(0)	/* DMA command complete   */
+#define  INT_EXT_STATUS    BIT(1)	/* Extended Status Set    */
 
+#define  hp_xfer_cnt_lo       0x18
+#define  hp_xfer_cnt_hi       0x1A
+#define  hp_xfer_cmd          0x1B
 
+#define  XFER_HOST_DMA     0x00	/*     0 0 0 Transfer Host -> DMA */
+#define  XFER_DMA_HOST     0x01	/*     0 0 1 Transfer DMA  -> Host */
 
+#define  XFER_HOST_AUTO    0x00	/*     0 0 Auto Transfer Size   */
 
+#define  XFER_DMA_8BIT     0x20	/*     0 1 8 BIT  Transfer Size */
 
-   #define  hp_host_blk_cnt      0x13
+#define  DISABLE_INT       BIT(7)	/*Do not interrupt at end of cmd. */
 
-      #define  XFER_BLK64        0x06     /*     1 1 0 64 byte per block*/
-   
-      #define  BM_THRESHOLD      0x40     /* PCI mode can only xfer 16 bytes*/
+#define  HOST_WRT_CMD      ((DISABLE_INT + XFER_HOST_DMA + XFER_HOST_AUTO + XFER_DMA_8BIT))
+#define  HOST_RD_CMD       ((DISABLE_INT + XFER_DMA_HOST + XFER_HOST_AUTO + XFER_DMA_8BIT))
 
+#define  hp_host_addr_lo      0x1C
+#define  hp_host_addr_hmi     0x1E
 
+#define  hp_ee_ctrl           0x22
 
-   #define  hp_int_mask          0x17
+#define  EXT_ARB_ACK       BIT(7)
+#define  SCSI_TERM_ENA_H   BIT(6)	/* SCSI high byte terminator */
+#define  SEE_MS            BIT(5)
+#define  SEE_CS            BIT(3)
+#define  SEE_CLK           BIT(2)
+#define  SEE_DO            BIT(1)
+#define  SEE_DI            BIT(0)
 
-      #define  INT_CMD_COMPL     BIT(0)   /* DMA command complete   */
-      #define  INT_EXT_STATUS    BIT(1)   /* Extended Status Set    */
+#define  EE_READ           0x06
+#define  EE_WRITE          0x05
+#define  EWEN              0x04
+#define  EWEN_ADDR         0x03C0
+#define  EWDS              0x04
+#define  EWDS_ADDR         0x0000
 
+#define  hp_bm_ctrl           0x26
 
-   #define  hp_xfer_cnt_lo       0x18
-   #define  hp_xfer_cnt_hi       0x1A
-   #define  hp_xfer_cmd          0x1B
+#define  SCSI_TERM_ENA_L   BIT(0)	/*Enable/Disable external terminators */
+#define  FLUSH_XFER_CNTR   BIT(1)	/*Flush transfer counter */
+#define  FORCE1_XFER       BIT(5)	/*Always xfer one byte in byte mode */
+#define  FAST_SINGLE       BIT(6)	/*?? */
 
-      #define  XFER_HOST_DMA     0x00     /*     0 0 0 Transfer Host -> DMA */
-      #define  XFER_DMA_HOST     0x01     /*     0 0 1 Transfer DMA  -> Host */
+#define  BMCTRL_DEFAULT    (FORCE1_XFER|FAST_SINGLE|SCSI_TERM_ENA_L)
 
+#define  hp_sg_addr           0x28
+#define  hp_page_ctrl         0x29
 
-      #define  XFER_HOST_AUTO    0x00     /*     0 0 Auto Transfer Size   */
+#define  SCATTER_EN        BIT(0)
+#define  SGRAM_ARAM        BIT(1)
+#define  G_INT_DISABLE     BIT(3)	/* Enable/Disable all Interrupts */
+#define  NARROW_SCSI_CARD  BIT(4)	/* NARROW/WIDE SCSI config pin */
 
-      #define  XFER_DMA_8BIT     0x20     /*     0 1 8 BIT  Transfer Size */
+#define  hp_pci_stat_cfg      0x2D
 
-      #define  DISABLE_INT       BIT(7)   /*Do not interrupt at end of cmd. */
+#define  REC_MASTER_ABORT  BIT(5)	/*received Master abort */
 
-      #define  HOST_WRT_CMD      ((DISABLE_INT + XFER_HOST_DMA + XFER_HOST_AUTO + XFER_DMA_8BIT))
-      #define  HOST_RD_CMD       ((DISABLE_INT + XFER_DMA_HOST + XFER_HOST_AUTO + XFER_DMA_8BIT))
+#define  hp_rev_num           0x33
 
-   #define  hp_host_addr_lo      0x1C
-   #define  hp_host_addr_hmi     0x1E
+#define  hp_stack_data        0x34
+#define  hp_stack_addr        0x35
 
-   #define  hp_ee_ctrl           0x22
+#define  hp_ext_status        0x36
 
-      #define  EXT_ARB_ACK       BIT(7)
-      #define  SCSI_TERM_ENA_H   BIT(6)   /* SCSI high byte terminator */
-      #define  SEE_MS            BIT(5)
-      #define  SEE_CS            BIT(3)
-      #define  SEE_CLK           BIT(2)
-      #define  SEE_DO            BIT(1)
-      #define  SEE_DI            BIT(0)
-
-      #define  EE_READ           0x06
-      #define  EE_WRITE          0x05
-      #define  EWEN              0x04
-      #define  EWEN_ADDR         0x03C0
-      #define  EWDS              0x04
-      #define  EWDS_ADDR         0x0000
-
-
-
-
-
-
-
-   #define  hp_bm_ctrl           0x26
-
-      #define  SCSI_TERM_ENA_L   BIT(0)   /*Enable/Disable external terminators */
-      #define  FLUSH_XFER_CNTR   BIT(1)   /*Flush transfer counter */
-      #define  FORCE1_XFER       BIT(5)   /*Always xfer one byte in byte mode */
-      #define  FAST_SINGLE       BIT(6)   /*?? */
-
-      #define  BMCTRL_DEFAULT    (FORCE1_XFER|FAST_SINGLE|SCSI_TERM_ENA_L)
-
-
-   #define  hp_sg_addr           0x28
-   #define  hp_page_ctrl         0x29
-
-      #define  SCATTER_EN        BIT(0)   
-      #define  SGRAM_ARAM        BIT(1)   
-      #define  G_INT_DISABLE     BIT(3)   /* Enable/Disable all Interrupts */
-      #define  NARROW_SCSI_CARD  BIT(4)   /* NARROW/WIDE SCSI config pin */
-
-
-
-
-   #define  hp_pci_stat_cfg      0x2D
-
-      #define  REC_MASTER_ABORT  BIT(5)   /*received Master abort */
-
-
-
-
-
-
-
-
-   #define  hp_rev_num           0x33
-
-
-   #define  hp_stack_data        0x34
-   #define  hp_stack_addr        0x35
-
-   #define  hp_ext_status        0x36
-
-      #define  BM_FORCE_OFF      BIT(0)   /*Bus Master is forced to get off */
-      #define  PCI_TGT_ABORT     BIT(0)   /*PCI bus master transaction aborted */
-      #define  PCI_DEV_TMOUT     BIT(1)   /*PCI Device Time out */
-      #define  CMD_ABORTED       BIT(4)   /*Command aborted */
-      #define  BM_PARITY_ERR     BIT(5)   /*parity error on data received   */
-      #define  PIO_OVERRUN       BIT(6)   /*Slave data overrun */
-      #define  BM_CMD_BUSY       BIT(7)   /*Bus master transfer command busy */
-      #define  BAD_EXT_STATUS    (BM_FORCE_OFF | PCI_DEV_TMOUT | CMD_ABORTED | \
+#define  BM_FORCE_OFF      BIT(0)	/*Bus Master is forced to get off */
+#define  PCI_TGT_ABORT     BIT(0)	/*PCI bus master transaction aborted */
+#define  PCI_DEV_TMOUT     BIT(1)	/*PCI Device Time out */
+#define  CMD_ABORTED       BIT(4)	/*Command aborted */
+#define  BM_PARITY_ERR     BIT(5)	/*parity error on data received   */
+#define  PIO_OVERRUN       BIT(6)	/*Slave data overrun */
+#define  BM_CMD_BUSY       BIT(7)	/*Bus master transfer command busy */
+#define  BAD_EXT_STATUS    (BM_FORCE_OFF | PCI_DEV_TMOUT | CMD_ABORTED | \
                                   BM_PARITY_ERR | PIO_OVERRUN)
 
-   #define  hp_int_status        0x37
-      
-      #define  EXT_STATUS_ON     BIT(1)   /*Extended status is valid */
-      #define  SCSI_INTERRUPT    BIT(2)   /*Global indication of a SCSI int. */
-      #define  INT_ASSERTED      BIT(5)   /* */
-
-
-   #define  hp_fifo_cnt          0x38
+#define  hp_int_status        0x37
 
+#define  EXT_STATUS_ON     BIT(1)	/*Extended status is valid */
+#define  SCSI_INTERRUPT    BIT(2)	/*Global indication of a SCSI int. */
+#define  INT_ASSERTED      BIT(5)	/* */
 
+#define  hp_fifo_cnt          0x38
 
+#define  hp_intena		 0x40
 
-   #define  hp_intena		 0x40
+#define  RESET		 BITW(7)
+#define  PROG_HLT		 BITW(6)
+#define  PARITY		 BITW(5)
+#define  FIFO		 BITW(4)
+#define  SEL		 BITW(3)
+#define  SCAM_SEL		 BITW(2)
+#define  RSEL		 BITW(1)
+#define  TIMEOUT		 BITW(0)
+#define  BUS_FREE		 BITW(15)
+#define  XFER_CNT_0	 BITW(14)
+#define  PHASE		 BITW(13)
+#define  IUNKWN		 BITW(12)
+#define  ICMD_COMP	 BITW(11)
+#define  ITICKLE		 BITW(10)
+#define  IDO_STRT		 BITW(9)
+#define  ITAR_DISC	 BITW(8)
+#define  AUTO_INT		 (BITW(12)+BITW(11)+BITW(10)+BITW(9)+BITW(8))
+#define  CLR_ALL_INT	 0xFFFF
+#define  CLR_ALL_INT_1	 0xFF00
 
-      #define  RESET		 BITW(7)
-      #define  PROG_HLT		 BITW(6)  
-      #define  PARITY		 BITW(5)
-      #define  FIFO		 BITW(4)
-      #define  SEL		 BITW(3)
-      #define  SCAM_SEL		 BITW(2) 
-      #define  RSEL		 BITW(1)
-      #define  TIMEOUT		 BITW(0)
-      #define  BUS_FREE		 BITW(15)
-      #define  XFER_CNT_0	 BITW(14)
-      #define  PHASE		 BITW(13)
-      #define  IUNKWN		 BITW(12)
-      #define  ICMD_COMP	 BITW(11)
-      #define  ITICKLE		 BITW(10)
-      #define  IDO_STRT		 BITW(9)
-      #define  ITAR_DISC	 BITW(8)
-      #define  AUTO_INT		 (BITW(12)+BITW(11)+BITW(10)+BITW(9)+BITW(8))
-      #define  CLR_ALL_INT	 0xFFFF
-      #define  CLR_ALL_INT_1	 0xFF00
+#define  hp_intstat		 0x42
 
-   #define  hp_intstat		 0x42
+#define  hp_scsisig           0x44
 
-   #define  hp_scsisig           0x44
+#define  SCSI_SEL          BIT(7)
+#define  SCSI_BSY          BIT(6)
+#define  SCSI_REQ          BIT(5)
+#define  SCSI_ACK          BIT(4)
+#define  SCSI_ATN          BIT(3)
+#define  SCSI_CD           BIT(2)
+#define  SCSI_MSG          BIT(1)
+#define  SCSI_IOBIT        BIT(0)
 
-      #define  SCSI_SEL          BIT(7)
-      #define  SCSI_BSY          BIT(6)
-      #define  SCSI_REQ          BIT(5)
-      #define  SCSI_ACK          BIT(4)
-      #define  SCSI_ATN          BIT(3)
-      #define  SCSI_CD           BIT(2)
-      #define  SCSI_MSG          BIT(1)
-      #define  SCSI_IOBIT        BIT(0)
+#define  S_SCSI_PHZ        (BIT(2)+BIT(1)+BIT(0))
+#define  S_MSGO_PH         (BIT(2)+BIT(1)       )
+#define  S_MSGI_PH         (BIT(2)+BIT(1)+BIT(0))
+#define  S_DATAI_PH        (              BIT(0))
+#define  S_DATAO_PH        0x00
+#define  S_ILL_PH          (       BIT(1)       )
 
-      #define  S_SCSI_PHZ        (BIT(2)+BIT(1)+BIT(0))
-      #define  S_MSGO_PH         (BIT(2)+BIT(1)       )
-      #define  S_MSGI_PH         (BIT(2)+BIT(1)+BIT(0))
-      #define  S_DATAI_PH        (              BIT(0))
-      #define  S_DATAO_PH        0x00
-      #define  S_ILL_PH          (       BIT(1)       )
+#define  hp_scsictrl_0        0x45
 
-   #define  hp_scsictrl_0        0x45
+#define  SEL_TAR           BIT(6)
+#define  ENA_ATN           BIT(4)
+#define  ENA_RESEL         BIT(2)
+#define  SCSI_RST          BIT(1)
+#define  ENA_SCAM_SEL      BIT(0)
 
-      #define  SEL_TAR           BIT(6)
-      #define  ENA_ATN           BIT(4)
-      #define  ENA_RESEL         BIT(2)
-      #define  SCSI_RST          BIT(1)
-      #define  ENA_SCAM_SEL      BIT(0)
+#define  hp_portctrl_0        0x46
 
+#define  SCSI_PORT         BIT(7)
+#define  SCSI_INBIT        BIT(6)
+#define  DMA_PORT          BIT(5)
+#define  DMA_RD            BIT(4)
+#define  HOST_PORT         BIT(3)
+#define  HOST_WRT          BIT(2)
+#define  SCSI_BUS_EN       BIT(1)
+#define  START_TO          BIT(0)
 
+#define  hp_scsireset         0x47
 
-   #define  hp_portctrl_0        0x46
+#define  SCSI_INI          BIT(6)
+#define  SCAM_EN           BIT(5)
+#define  DMA_RESET         BIT(3)
+#define  HPSCSI_RESET      BIT(2)
+#define  PROG_RESET        BIT(1)
+#define  FIFO_CLR          BIT(0)
 
-      #define  SCSI_PORT         BIT(7)
-      #define  SCSI_INBIT        BIT(6)
-      #define  DMA_PORT          BIT(5)
-      #define  DMA_RD            BIT(4)
-      #define  HOST_PORT         BIT(3)
-      #define  HOST_WRT          BIT(2)
-      #define  SCSI_BUS_EN       BIT(1)
-      #define  START_TO          BIT(0)
+#define  hp_xfercnt_0         0x48
+#define  hp_xfercnt_2         0x4A
 
-   #define  hp_scsireset         0x47
+#define  hp_fifodata_0        0x4C
+#define  hp_addstat           0x4E
 
-      #define  SCSI_INI          BIT(6)
-      #define  SCAM_EN           BIT(5)
-      #define  DMA_RESET         BIT(3)
-      #define  HPSCSI_RESET      BIT(2)
-      #define  PROG_RESET        BIT(1)
-      #define  FIFO_CLR          BIT(0)
+#define  SCAM_TIMER        BIT(7)
+#define  SCSI_MODE8        BIT(3)
+#define  SCSI_PAR_ERR      BIT(0)
 
-   #define  hp_xfercnt_0         0x48
-   #define  hp_xfercnt_2         0x4A
+#define  hp_prgmcnt_0         0x4F
 
-   #define  hp_fifodata_0        0x4C
-   #define  hp_addstat           0x4E
+#define  hp_selfid_0          0x50
+#define  hp_selfid_1          0x51
+#define  hp_arb_id            0x52
 
-      #define  SCAM_TIMER        BIT(7)
-      #define  SCSI_MODE8        BIT(3)
-      #define  SCSI_PAR_ERR      BIT(0)
+#define  hp_select_id         0x53
 
-   #define  hp_prgmcnt_0         0x4F
+#define  hp_synctarg_base     0x54
+#define  hp_synctarg_12       0x54
+#define  hp_synctarg_13       0x55
+#define  hp_synctarg_14       0x56
+#define  hp_synctarg_15       0x57
 
+#define  hp_synctarg_8        0x58
+#define  hp_synctarg_9        0x59
+#define  hp_synctarg_10       0x5A
+#define  hp_synctarg_11       0x5B
 
-   #define  hp_selfid_0          0x50
-   #define  hp_selfid_1          0x51
-   #define  hp_arb_id            0x52
+#define  hp_synctarg_4        0x5C
+#define  hp_synctarg_5        0x5D
+#define  hp_synctarg_6        0x5E
+#define  hp_synctarg_7        0x5F
 
+#define  hp_synctarg_0        0x60
+#define  hp_synctarg_1        0x61
+#define  hp_synctarg_2        0x62
+#define  hp_synctarg_3        0x63
 
-   #define  hp_select_id         0x53
+#define  NARROW_SCSI       BIT(4)
+#define  DEFAULT_OFFSET    0x0F
 
+#define  hp_autostart_0       0x64
+#define  hp_autostart_1       0x65
+#define  hp_autostart_3       0x67
 
-   #define  hp_synctarg_base     0x54
-   #define  hp_synctarg_12       0x54
-   #define  hp_synctarg_13       0x55
-   #define  hp_synctarg_14       0x56
-   #define  hp_synctarg_15       0x57
+#define  AUTO_IMMED    BIT(5)
+#define  SELECT   BIT(6)
+#define  END_DATA (BIT(7)+BIT(6))
 
-   #define  hp_synctarg_8        0x58
-   #define  hp_synctarg_9        0x59
-   #define  hp_synctarg_10       0x5A
-   #define  hp_synctarg_11       0x5B
+#define  hp_gp_reg_0          0x68
+#define  hp_gp_reg_1          0x69
+#define  hp_gp_reg_3          0x6B
 
-   #define  hp_synctarg_4        0x5C
-   #define  hp_synctarg_5        0x5D
-   #define  hp_synctarg_6        0x5E
-   #define  hp_synctarg_7        0x5F
+#define  hp_seltimeout        0x6C
 
-   #define  hp_synctarg_0        0x60
-   #define  hp_synctarg_1        0x61
-   #define  hp_synctarg_2        0x62
-   #define  hp_synctarg_3        0x63
+#define  TO_4ms            0x67	/* 3.9959ms */
 
-      #define  NARROW_SCSI       BIT(4)
-      #define  DEFAULT_OFFSET    0x0F
+#define  TO_5ms            0x03	/* 4.9152ms */
+#define  TO_10ms           0x07	/* 11.xxxms */
+#define  TO_250ms          0x99	/* 250.68ms */
+#define  TO_290ms          0xB1	/* 289.99ms */
 
-   #define  hp_autostart_0       0x64
-   #define  hp_autostart_1       0x65
-   #define  hp_autostart_3       0x67
+#define  hp_clkctrl_0         0x6D
 
+#define  PWR_DWN           BIT(6)
+#define  ACTdeassert       BIT(4)
+#define  CLK_40MHZ         (BIT(1) + BIT(0))
 
+#define  CLKCTRL_DEFAULT   (ACTdeassert | CLK_40MHZ)
 
-      #define  AUTO_IMMED    BIT(5)
-      #define  SELECT   BIT(6)
-      #define  END_DATA (BIT(7)+BIT(6))
+#define  hp_fiforead          0x6E
+#define  hp_fifowrite         0x6F
 
-   #define  hp_gp_reg_0          0x68
-   #define  hp_gp_reg_1          0x69
-   #define  hp_gp_reg_3          0x6B
+#define  hp_offsetctr         0x70
+#define  hp_xferstat          0x71
 
-   #define  hp_seltimeout        0x6C
+#define  FIFO_EMPTY        BIT(6)
 
+#define  hp_portctrl_1        0x72
 
-      #define  TO_4ms            0x67      /* 3.9959ms */
+#define  CHK_SCSI_P        BIT(3)
+#define  HOST_MODE8        BIT(0)
 
-      #define  TO_5ms            0x03      /* 4.9152ms */
-      #define  TO_10ms           0x07      /* 11.xxxms */
-      #define  TO_250ms          0x99      /* 250.68ms */
-      #define  TO_290ms          0xB1      /* 289.99ms */
+#define  hp_xfer_pad          0x73
 
-   #define  hp_clkctrl_0         0x6D
+#define  ID_UNLOCK         BIT(3)
 
-      #define  PWR_DWN           BIT(6)
-      #define  ACTdeassert       BIT(4)
-      #define  CLK_40MHZ         (BIT(1) + BIT(0))
+#define  hp_scsidata_0        0x74
+#define  hp_scsidata_1        0x75
 
-      #define  CLKCTRL_DEFAULT   (ACTdeassert | CLK_40MHZ)
+#define  hp_aramBase          0x80
+#define  BIOS_DATA_OFFSET     0x60
+#define  BIOS_RELATIVE_CARD   0x64
 
-   #define  hp_fiforead          0x6E
-   #define  hp_fifowrite         0x6F
+#define  AR3      (BITW(9) + BITW(8))
+#define  SDATA    BITW(10)
 
-   #define  hp_offsetctr         0x70
-   #define  hp_xferstat          0x71
+#define  CRD_OP   BITW(11)	/* Cmp Reg. w/ Data */
 
-      #define  FIFO_EMPTY        BIT(6)
+#define  CRR_OP   BITW(12)	/* Cmp Reg. w. Reg. */
 
-   #define  hp_portctrl_1        0x72
+#define  CPE_OP   (BITW(14)+BITW(11))	/* Cmp SCSI phs & Branch EQ */
 
-      #define  CHK_SCSI_P        BIT(3)
-      #define  HOST_MODE8        BIT(0)
+#define  CPN_OP   (BITW(14)+BITW(12))	/* Cmp SCSI phs & Branch NOT EQ */
 
-   #define  hp_xfer_pad          0x73
+#define  ADATA_OUT   0x00
+#define  ADATA_IN    BITW(8)
+#define  ACOMMAND    BITW(10)
+#define  ASTATUS     (BITW(10)+BITW(8))
+#define  AMSG_OUT    (BITW(10)+BITW(9))
+#define  AMSG_IN     (BITW(10)+BITW(9)+BITW(8))
 
-      #define  ID_UNLOCK         BIT(3)
+#define  BRH_OP   BITW(13)	/* Branch */
 
-   #define  hp_scsidata_0        0x74
-   #define  hp_scsidata_1        0x75
+#define  ALWAYS   0x00
+#define  EQUAL    BITW(8)
+#define  NOT_EQ   BITW(9)
 
+#define  TCB_OP   (BITW(13)+BITW(11))	/* Test condition & branch */
 
+#define  FIFO_0      BITW(10)
 
-   #define  hp_aramBase          0x80
-   #define  BIOS_DATA_OFFSET     0x60
-   #define  BIOS_RELATIVE_CARD   0x64
+#define  MPM_OP   BITW(15)	/* Match phase and move data */
 
+#define  MRR_OP   BITW(14)	/* Move DReg. to Reg. */
 
+#define  S_IDREG  (BIT(2)+BIT(1)+BIT(0))
 
+#define  D_AR0    0x00
+#define  D_AR1    BIT(0)
+#define  D_BUCKET (BIT(2) + BIT(1) + BIT(0))
 
-      #define  AR3      (BITW(9) + BITW(8))
-      #define  SDATA    BITW(10)
-
-
-      #define  CRD_OP   BITW(11)     /* Cmp Reg. w/ Data */
-
-      #define  CRR_OP   BITW(12)     /* Cmp Reg. w. Reg. */
-
-      
-      
-      #define  CPE_OP   (BITW(14)+BITW(11))  /* Cmp SCSI phs & Branch EQ */
-
-      #define  CPN_OP   (BITW(14)+BITW(12))  /* Cmp SCSI phs & Branch NOT EQ */
-
-
-      #define  ADATA_OUT   0x00     
-      #define  ADATA_IN    BITW(8)
-      #define  ACOMMAND    BITW(10)
-      #define  ASTATUS     (BITW(10)+BITW(8))
-      #define  AMSG_OUT    (BITW(10)+BITW(9))
-      #define  AMSG_IN     (BITW(10)+BITW(9)+BITW(8))
-
-
-      #define  BRH_OP   BITW(13)   /* Branch */
-
-      
-      #define  ALWAYS   0x00
-      #define  EQUAL    BITW(8)
-      #define  NOT_EQ   BITW(9)
-
-      #define  TCB_OP   (BITW(13)+BITW(11))    /* Test condition & branch */
-
-      
-      #define  FIFO_0      BITW(10)
-
-
-      #define  MPM_OP   BITW(15)        /* Match phase and move data */
-
-
-      #define  MRR_OP   BITW(14)        /* Move DReg. to Reg. */
-
-
-      #define  S_IDREG  (BIT(2)+BIT(1)+BIT(0))
-
-
-      #define  D_AR0    0x00
-      #define  D_AR1    BIT(0)
-      #define  D_BUCKET (BIT(2) + BIT(1) + BIT(0))
-
-
-
-
-
-
-
-
-
-      #define  RAT_OP      (BITW(14)+BITW(13)+BITW(11))
-
-      #define  SSI_OP      (BITW(15)+BITW(11))
-
-
-      #define  SSI_ITAR_DISC	(ITAR_DISC >> 8)
-      #define  SSI_IDO_STRT	(IDO_STRT >> 8)
-
-      #define  SSI_ICMD_COMP	(ICMD_COMP >> 8)
-      #define  SSI_ITICKLE	(ITICKLE >> 8)
-
-      #define  SSI_IUNKWN	(IUNKWN >> 8)
-      #define  SSI_INO_CC	(IUNKWN >> 8)
-      #define  SSI_IRFAIL	(IUNKWN >> 8)
-
-
-      #define  NP    0x10     /*Next Phase */
-      #define  NTCMD 0x02     /*Non- Tagged Command start */
-      #define  CMDPZ 0x04     /*Command phase */
-      #define  DINT  0x12     /*Data Out/In interrupt */
-      #define  DI    0x13     /*Data Out */
-      #define  DC    0x19     /*Disconnect Message */
-      #define  ST    0x1D     /*Status Phase */
-      #define  UNKNWN 0x24    /*Unknown bus action */
-      #define  CC    0x25     /*Command Completion failure */
-      #define  TICK  0x26     /*New target reselected us. */
-      #define  SELCHK 0x28     /*Select & Check SCSI ID latch reg */
-
-
-      #define  ID_MSG_STRT    hp_aramBase + 0x00
-      #define  NON_TAG_ID_MSG hp_aramBase + 0x06
-      #define  CMD_STRT       hp_aramBase + 0x08
-      #define  SYNC_MSGS      hp_aramBase + 0x08
-
-
-
-
-
-      #define  TAG_STRT          0x00
-      #define  DISCONNECT_START  0x10/2
-      #define  END_DATA_START    0x14/2
-      #define  CMD_ONLY_STRT     CMDPZ/2
-      #define  SELCHK_STRT     SELCHK/2
-
+#define  RAT_OP      (BITW(14)+BITW(13)+BITW(11))
 
+#define  SSI_OP      (BITW(15)+BITW(11))
 
+#define  SSI_ITAR_DISC	(ITAR_DISC >> 8)
+#define  SSI_IDO_STRT	(IDO_STRT >> 8)
 
+#define  SSI_ICMD_COMP	(ICMD_COMP >> 8)
+#define  SSI_ITICKLE	(ITICKLE >> 8)
 
+#define  SSI_IUNKWN	(IUNKWN >> 8)
+#define  SSI_INO_CC	(IUNKWN >> 8)
+#define  SSI_IRFAIL	(IUNKWN >> 8)
 
+#define  NP    0x10		/*Next Phase */
+#define  NTCMD 0x02		/*Non- Tagged Command start */
+#define  CMDPZ 0x04		/*Command phase */
+#define  DINT  0x12		/*Data Out/In interrupt */
+#define  DI    0x13		/*Data Out */
+#define  DC    0x19		/*Disconnect Message */
+#define  ST    0x1D		/*Status Phase */
+#define  UNKNWN 0x24		/*Unknown bus action */
+#define  CC    0x25		/*Command Completion failure */
+#define  TICK  0x26		/*New target reselected us. */
+#define  SELCHK 0x28		/*Select & Check SCSI ID latch reg */
 
+#define  ID_MSG_STRT    hp_aramBase + 0x00
+#define  NON_TAG_ID_MSG hp_aramBase + 0x06
+#define  CMD_STRT       hp_aramBase + 0x08
+#define  SYNC_MSGS      hp_aramBase + 0x08
 
+#define  TAG_STRT          0x00
+#define  DISCONNECT_START  0x10/2
+#define  END_DATA_START    0x14/2
+#define  CMD_ONLY_STRT     CMDPZ/2
+#define  SELCHK_STRT     SELCHK/2
 
 #define GET_XFER_CNT(port, xfercnt) {RD_HARP32(port,hp_xfercnt_0,xfercnt); xfercnt &= 0xFFFFFF;}
 /* #define GET_XFER_CNT(port, xfercnt) (xfercnt = RD_HARPOON(port+hp_xfercnt_2), \
@@ -941,12 +766,9 @@ typedef struct SCCBscam_info {
 #define ACCEPT_MSG(port) {while(RD_HARPOON(port+hp_scsisig) & SCSI_REQ){}\
                           WR_HARPOON(port+hp_scsisig, S_ILL_PH);}
 
-
 #define ACCEPT_MSG_ATN(port) {while(RD_HARPOON(port+hp_scsisig) & SCSI_REQ){}\
                           WR_HARPOON(port+hp_scsisig, (S_ILL_PH|SCSI_ATN));}
 
-
-
 #define DISABLE_AUTO(port) (WR_HARPOON(port+hp_scsireset, PROG_RESET),\
                         WR_HARPOON(port+hp_scsireset, 0x00))
 
